## org.mortbay.jetty.security
Class PKCS12Import

    java.lang.Object
      org.mortbay.jetty.security.PKCS12Import

    public class PKCS12Import

extends Object

This class can be used to import a key/certificate pair from a pkcs12 file into a regular JKS format keystore for use with jetty and other java based SSL applications, etc.

        usage: java PKCS12Import {pkcs12file} [newjksfile]

If you don't supply newjksfile, newstore.jks will be used. This can be an existing JKS keystore.

Upon execution, you will be prompted for the password for the pkcs12 keystore as well as the password for the jdk file. After execution you should have a JKS keystore file that contains the private key and certificate that were in the pkcs12

You can generate a pkcs12 file from PEM encoded certificate and key files using the following openssl command:

        openssl pkcs12 -export -out keystore.pkcs12 -in www.crt -inkey www.key

then run:

        java PKCS12Import keystore.pkcs12 keytore.jks

Author:
  Jason Gilbert <jason@doozer.com>

Constructor Summary
`PKCS12Import()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKCS12Import

    public PKCS12Import()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.